> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Standard Transfer Async

> Use this API to initiate an amount transfer request at Cashfree by providing beneficiary id, amount, and transfer id. This is an async transfer request.

<Warning> This API will be retired soon. Please plan to migrate to the latest version, [Transfers V2](/api-reference/payouts/v2/transfers-v2/get-transfer-status-v2). </Warning>

Once you trigger the requestAsyncTransfer API, Cashfree Payments verifies your request and returns the Cashfree referenceId. The transfer to beneficiary account will be attempted within the next 60 seconds and you may query the transfer status after 60 seconds.

Use this API to process very high volumes.

**Benefits**:

1. The API response is much faster for the async transfer endpoint. The async transfer response takes \<100 ms as compared to a median value of 2-5 sec for the sync payout transfer API.
2. The asynchronous API can handle a higher TPM (transactions per minute) as compared to the synchronous API. The async API allows us to handle up to 1000 transactions per minute.

Please use this Authorization token in headers to call any payout API (Refresh this page if the token is expired)

<iframe src="https://www.cashfree.com/devstudio/preview/payouts/embed/bearerToken" width="600" />

<Accordion title="Click to view the response codes.">
  | Sub code | Status  | Message                                                          |
  | :------- | :------ | :--------------------------------------------------------------- |
  | 200      | SUCCESS | Transfer completed successfully.                                 |
  | 201      | SUCCESS | Transfer Scheduled for next working day.                         |
  | 201      | PENDING | Awaiting confirmation from beneficiary bank.                     |
  | 201      | PENDING | Transfer request pending at the bank.                            |
  | 202      | PENDING | Request received. Please check status after some time.           |
  | 403      | ERROR   | Token is not valid                                               |
  | 403      | ERROR   | IP not whitelisted                                               |
  | 403      | ERROR   | This feature is not available for your account.                  |
  | 403      | ERROR   | Transfer mode is not available for your account.                 |
  | 412      | ERROR   | Token missing in the request.                                    |
  | 412      | ERROR   | BeneId missing in the request.                                   |
  | 412      | ERROR   | Amount missing in the request.                                   |
  | 412      | ERROR   | TransferId missing in the request.                               |
  | 422      | ERROR   | Invalid amount passed.                                           |
  | 422      | ERROR   | Invalid transferId passed.                                       |
  | 422      | ERROR   | No Payee Virtual Address associated with the beneficiary.        |
  | 422      | ERROR   | Remarks can have only numbers, alphabets and whitespaces.        |
  | 409      | ERROR   | Transfer Id already exists.                                      |
  | 404      | ERROR   | Beneficiary does not exist.                                      |
  | 422      | ERROR   | Beneficiary details not valid.                                   |
  | 422      | ERROR   | No Bank account or IFSC associated with the beneficiary.         |
  | 412      | ERROR   | Not enough available balance in the account.                     |
  | 412      | ERROR   | Please wait 30 minutes after adding the beneficiary.             |
  | 412      | ERROR   | Transfer amount is less than minimum amount of Rs. 100.          |
  | 412      | ERROR   | Transfer amount is greater than the maximum amount of Rs.100000. |
  | 422      | ERROR   | Invalid IFSC code provided for bank account.                     |
  | 422      | ERROR   | Invalid bank account number or IFSC provided.                    |
  | 422      | ERROR   | Transfer request to paytm wallet failed.                         |
  | 400/520  | ERROR   | Transfer attempt failed at the bank.                             |
  | 520      | ERROR   | Transfer request triggered. No response from bank.               |
  | 403      | ERROR   | Transfer to this beneficiary not allowed.                        |
  | 412      | ERROR   | Transfer limit for beneficiary exceeded.                         |
  | 412      | ERROR   | Transfer limit for your account exceeded.                        |
  | 412      | ERROR   | Invalid transfer mode passed in the request.                     |
  | 412      | ERROR   | Transfer mode not enabled for the account.                       |
  | 412      | ERROR   | Invalid Tag passed in the request.                               |
</Accordion>


## OpenAPI

````yaml post /payout/v1/requestAsyncTransfer
openapi: 3.0.0
info:
  title: Payouts
  version: 3.0.0
servers:
  - url: https://payout-api.cashfree.com
    description: Production
  - url: https://payout-gamma.cashfree.com
    description: Sandbox
security:
  - {}
paths:
  /payout/v1/requestAsyncTransfer:
    post:
      summary: Standard Transfer Async
      description: >-
        Use this API to initiate an amount transfer request at Cashfree by
        providing beneficiary id, amount, and transfer id. This is an async
        transfer request.
      operationId: standard-transfer-async1
      parameters:
        - name: Authorization
          in: header
          description: Bearer auth token
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: Content-Type
          in: header
          description: application/json
          required: true
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/v1_requestAsyncTransfer_body'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_200_6'
        '403':
          description: '403'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_403'
        '422':
          description: '422'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_422_2'
      deprecated: false
      security: []
components:
  schemas:
    v1_requestAsyncTransfer_body:
      required:
        - amount
        - beneId
        - transferId
      type: object
      properties:
        beneId:
          type: string
          description: Beneficiary ID. Alphanumeric characters allowed.
        amount:
          type: number
          description: Amount to be transferred. Decimal allowed (>= 1.00)
          format: float
        transferId:
          type: string
          description: >-
            A unique id to identify this transfer. Alphanumeric and underscore
            (_) allowed (40 character limit).
        transferMode:
          type: string
          description: >-
            It is the mode of transfer. Allowed values are: banktransfer, neft,
            imps, rtgs, upi, paytm, and amazonpay. The default transferMode is
            banktransfer.
        remarks:
          type: string
          description: >-
            Additional remarks, if any. alphanumeric and white spaces allowed
            (70 characters limit)
    inline_response_200_6:
      type: object
      properties:
        status:
          type: string
          example: ACCEPTED
        subCode:
          type: string
          example: '201'
        message:
          type: string
          example: Transfer Initiated
        data:
          $ref: '#/components/schemas/inline_response_200_6_data'
    inline_response_403:
      type: object
      properties:
        status:
          type: string
          example: ERROR
        subCode:
          type: string
          example: '403'
        message:
          type: string
          example: >-
            APIs not enabled. Please fill out the [Support
            Form](https://merchant.cashfree.com/merchants/landing?env=prod&raise_issue=1)
    inline_response_422_2:
      type: object
      properties:
        status:
          type: string
          example: ERROR
        subCode:
          type: string
          example: '422'
        message:
          type: string
          example: Remarks is invalid
    inline_response_200_6_data:
      type: object
      properties:
        referenceId:
          type: string
          example: '107260'

````